## incidenceeditor 25.08.1

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause
cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
set(PIM_VERSION "6.5.1")

project(incidenceeditor VERSION ${PIM_VERSION})

set(KF_MIN_VERSION "6.14.0")
set(QT_REQUIRED_VERSION "6.8.0")
set(CMAKE_CXX_STANDARD 20)
find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(ECMGenerateExportHeader)
include(ECMSetupVersion)
include(ECMGenerateHeaders)

file(
    GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES
    src/*.cpp
    src/*.h
    tests/*.cpp
    tests/*.h
    autotests/*.cpp
    autotests/*.h
)
set(PRE_COMMIT_INSTALLED FALSE)
if(${CMAKE_SOURCE_DIR} STREQUAL ${PROJECT_SOURCE_DIR})
    if(EXISTS "${PROJECT_SOURCE_DIR}/.git/hooks/pre-commit")
        file(READ "${PROJECT_SOURCE_DIR}/.git/hooks/pre-commit" FILE_CONTENTS)
        string(FIND "${FILE_CONTENTS}" "File generated by pre-commit" INDEX)
        if(${INDEX} GREATER_EQUAL 0)
            set(PRE_COMMIT_INSTALLED TRUE)
        endif()
    endif()
endif()
if(NOT ${PRE_COMMIT_INSTALLED})
    include(KDEGitCommitHooks)
    include(KDEClangFormat)
    kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
endif()
include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(ECMFeatureSummary)
include(ECMAddTests)
include(ECMCheckOutboundLicense)
include(ECMAddQch)
option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(
    QCH
    ${BUILD_QCH}
    "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)"
)

set(INCIDENCEEDITOR_LIB_VERSION ${PIM_VERSION})
set(AKONADI_MIMELIB_VERSION "6.5.1")
set(KDEPIM_LIB_VERSION "6.5.1")
set(KMIME_LIB_VERSION "6.5.1")
set(KLDAP_LIB_VERSION "6.5.1")
set(CALENDARUTILS_LIB_VERSION "6.5.1")
set(CALENDARSUPPORT_LIB_VERSION "6.5.1")
set(LIBKDEPIM_LIB_VERSION "6.5.1")
set(EVENTVIEW_LIB_VERSION "6.5.1")
set(AKONADI_VERSION "6.5.1")
set(AKONADICONTACT_LIB_VERSION "6.5.1")
set(AKONADICALENDAR_LIB_VERSION "6.5.1")
set(PIMCOMMON_LIB_VERSION "6.5.1")
set(PIMTEXTEDIT_LIB_VERSION "6.5.1")
set(IDENTITYMANAGEMENT_LIB_VERSION "6.5.1")

set(KDIAGRAM_LIB_VERSION "3.0.0")
find_package(KGantt6 ${KDIAGRAM_LIB_VERSION} CONFIG REQUIRED)

find_package(Qt6 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Widgets)

find_package(KF6GuiAddons ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6CalendarCore ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Codecs ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6I18n ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6IconThemes ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6KIO ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6TextWidgets ${KF_MIN_VERSION} CONFIG REQUIRED)

find_package(KPim6Akonadi ${AKONADI_VERSION} CONFIG REQUIRED)
find_package(KPim6LdapWidgets ${KLDAP_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6CalendarSupport ${CALENDARSUPPORT_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6EventViews ${EVENTVIEW_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6Libkdepim ${LIBKDEPIM_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6CalendarUtils ${CALENDARUTILS_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6AkonadiCalendar ${AKONADICALENDAR_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6AkonadiMime ${AKONADI_MIMELIB_VERSION} CONFIG REQUIRED)
find_package(KPim6CalendarSupport ${CALENDARSUPPORT_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6CalendarUtils ${CALENDARUTILS_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6Mime ${KMIME_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6PimCommonAkonadi ${PIMCOMMON_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6TextEdit ${PIMTEXTEDIT_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6IdentityManagementCore ${IDENTITYMANAGEMENT_LIB_VERSION} CONFIG REQUIRED)

ecm_setup_version(PROJECT VARIABLE_PREFIX INCIDENCEEDITOR
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/src/incidenceeditor_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KPim6IncidenceEditorConfigVersion.cmake"
                        SOVERSION 6
)

option(
    KDEPIM_ENTERPRISE_BUILD
    "Enable features specific to the enterprise branch, which are normally disabled. Also, it disables many components not needed for Kontact such as the Kolab client."
    FALSE
)

# config-enterprise.h is needed for both ENTERPRISE_BUILD and BUILD_EVERYTHING
configure_file(config-enterprise.h.in ${CMAKE_CURRENT_BINARY_DIR}/src/config-enterprise.h)

########### Targets ###########

add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.16.0)

option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)

set(COMPILE_WITH_UNITY_CMAKE_SUPPORT OFF)
if(USE_UNITY_CMAKE_SUPPORT)
    set(COMPILE_WITH_UNITY_CMAKE_SUPPORT ON)
    add_definitions(-DCOMPILE_WITH_UNITY_CMAKE_SUPPORT)
endif()

if(BUILD_TESTING)
    add_definitions(-DBUILD_TESTING)
endif()
add_subdirectory(src)

########### CMake Config Files ###########
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KPim6IncidenceEditor")
if(BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KPim6IncidenceEditor_QCH
        FILE KPim6IncidenceEditorQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KPim6IncidenceEditorQchTargets.cmake\")")
endif()
configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KPimIncidenceEditorConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KPim6IncidenceEditorConfig.cmake"
    INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
)

install(
    FILES
        "${CMAKE_CURRENT_BINARY_DIR}/KPim6IncidenceEditorConfig.cmake"
        "${CMAKE_CURRENT_BINARY_DIR}/KPim6IncidenceEditorConfigVersion.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    COMPONENT Devel
)

install(
    EXPORT KPim6IncidenceEditorTargets
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    FILE KPim6IncidenceEditorTargets.cmake
    NAMESPACE KPim6::
)

install(
    FILES
        ${CMAKE_CURRENT_BINARY_DIR}/src/incidenceeditor_version.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim6/IncidenceEditor/
    COMPONENT Devel
)

if(BUILD_TESTING)
    find_package(Qt6 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Test)

    add_subdirectory(autotests)
    add_subdirectory(tests)
endif()

if(DEFINED kde_configure_git_pre_commit_hook)
    kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
endif()
ki18n_install(po)
ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
file(
    GLOB_RECURSE ALL_SOURCE_FILES
    src/*.cpp
    src/*.h
)
ecm_check_outbound_license(LICENSES GPL-2.0-only  FILES ${ALL_SOURCE_FILES})

=== autotests/CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause
set(EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR})

include_directories(${CMAKE_SOURCE_DIR}/src)

set(grant_lib KGantt6)

macro(IE_UNIT_TESTS)
    foreach(_testname ${ARGN})
        add_executable(
            ${_testname}
            ${_testname}.cpp
            ${_testname}.h
        )
        add_test(NAME ${_testname} COMMAND ${_testname})
        ecm_mark_as_test(${_testname})
        target_link_libraries(
            ${_testname}
            Qt::Test
            KPim6::AkonadiCore
            ${grant_lib}
            KPim6::CalendarUtils
            KF6::CalendarCore
            KPim6::IncidenceEditor
            KPim6::Libkdepim
        )
    endforeach()
endmacro()

macro(IE_EXECUTABLE_TESTS)
    foreach(_testname ${ARGN})
        add_executable(
            ${_testname}
            NOGUI
            TEST
            ${_testname}.cpp
            ${_testname}.h
        )
        target_link_libraries(
            ${_testname}
            KF6::CalendarCore
            Qt::Test
            KPim6::IncidenceEditor
            Qt::Widgets
        )
    endforeach()
endmacro()

ie_unit_tests(
  conflictresolvertest
  testfreebusyganttproxymodel
)

########### KTimeZoneComboBox unit test #############
add_executable(
    ktimezonecomboboxtest
    ktimezonecomboboxtest.cpp
    ktimezonecomboboxtest.h
)
add_test(NAME ktimezonecomboboxtest COMMAND ktimezonecomboboxtest)
ecm_mark_as_test(ktimezonecomboboxtest)

target_link_libraries(
    ktimezonecomboboxtest
    KF6::CalendarCore
    Qt::Test
    KPim6::IncidenceEditor
    KF6::Completion
)

add_executable(testindividualmaildialog testindividualmaildialog.cpp)
ecm_mark_nongui_executable(testindividualmaildialog)
add_test(NAME testindividualmaildialog COMMAND testindividualmaildialog)
ecm_mark_as_test(testindividualmaildialog)
target_link_libraries(
    testindividualmaildialog
    KF6::CalendarCore
    Qt::Test
    Qt::Widgets
    KF6::WidgetsAddons
    KF6::I18n
    KPim6::IncidenceEditor
)

# The IncidenceCategories subeditor of the dialog starts Akonadi running, so
# set up an environment.
add_akonadi_isolated_test(
  SOURCE incidencedatetimetest.cpp
  LINK_LIBRARIES Qt::Test
  Qt::Widgets
  KPim6::AkonadiWidgets
  KF6::Completion
  KPim6::IncidenceEditor
  KPim6::PimTextEdit
  KPim6::Libkdepim
  KF6::WidgetsAddons
)

=== src/CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause
add_definitions(-DTRANSLATION_DOMAIN=\"libincidenceeditors6\")
add_library(KPim6IncidenceEditor)
add_library(KPim6::IncidenceEditor ALIAS KPim6IncidenceEditor)

target_sources(
    KPim6IncidenceEditor
    PRIVATE
        attachmenteditdialog.cpp
        attachmenticonview.cpp
        attendeedata.cpp
        attendeeline.cpp
        attendeecomboboxdelegate.cpp
        attendeelineeditdelegate.cpp
        attendeetablemodel.cpp
        attendeeeditor.cpp
        alarmpresets.cpp
        alarmdialog.cpp
        incidenceeditorsettings.cpp
        ktimezonecombobox.cpp
        # TODO: Move the next two to akonadi libs when finished
        editoritemmanager.cpp
        freebusyurldialog.cpp
        # Shared incidence editors code
        combinedincidenceeditor.cpp
        incidenceeditor.cpp
        # Specific editors
        incidencealarm.cpp
        incidenceattachment.cpp
        incidenceattendee.cpp
        incidencecategories.cpp
        incidencecompletionpriority.cpp
        incidencedescription.cpp
        incidencewhatwhere.cpp
        incidencedatetime.cpp
        incidencerecurrence.cpp
        incidenceresource.cpp
        incidencesecrecy.cpp
        freebusyganttproxymodel.cpp
        conflictresolver.cpp
        schedulingdialog.cpp
        groupwareuidelegate.cpp
        incidencedefaults.cpp
        editorconfig.cpp
        korganizereditorconfig.cpp
        # Individual mail
        individualmailcomponentfactory.cpp
        individualmaildialog.cpp
        opencomposerjob.cpp
        # Resourcemanagement
        ldaputils.cpp
        resourcemanagement.cpp
        resourceitem.cpp
        resourcemodel.cpp
        kweekdaycheckcombo.cpp
        attendeeeditor.h
        editorconfig.h
        alarmpresets.h
        individualmaildialog.h
        attachmenteditdialog.h
        incidencecompletionpriority.h
        incidencewhatwhere.h
        visualfreebusywidget.h
        attachmenticonview.h
        incidenceeditor_private_export.h
        resourcemanagement.h
        ldaputils.h
        resourcemodel.h
        incidencealarm.h
        incidencedefaults.h
        freebusyganttproxymodel.h
        incidenceattendee.h
        korganizereditorconfig.h
        freebusyurldialog.h
        ktimezonecombobox.h
        incidencedescription.h
        conflictresolver.h
        editoritemmanager.h
        alarmdialog.h
        incidencesecrecy.h
        combinedincidenceeditor.h
        incidencedatetime.h
        groupwareuidelegate.h
        incidencerecurrence.h
        attendeetablemodel.h
        incidenceresource.h
        individualmailcomponentfactory.h
        opencomposerjob.h
        schedulingdialog.h
        incidencedialog.h
        attendeecomboboxdelegate.h
        incidencedialogfactory.h
        templatemanagementdialog.h
        incidenceeditor-ng.h
        incidencecategories.h
        attendeedata.h
        resourceitem.h
        kweekdaycheckcombo.h
        incidenceattachment.h
        attendeelineeditdelegate.h
        incidenceeditorsettings.h
        attendeeline.h
)

ecm_qt_declare_logging_category(KPim6IncidenceEditor HEADER incidenceeditor_debug.h IDENTIFIER INCIDENCEEDITOR_LOG CATEGORY_NAME org.kde.pim.incidenceeditor
        OLD_CATEGORY_NAMES log_incidenceeditor
        DESCRIPTION "incidenceeditor (incidenceeditor)" EXPORT INCIDENCEEDITOR
)

kconfig_add_kcfg_files(KPim6IncidenceEditor globalsettings_incidenceeditor.kcfgc)

### Build the desktop version

target_sources(
    KPim6IncidenceEditor
    PRIVATE
        templatemanagementdialog.cpp
        incidencedialogfactory.cpp
        incidencedialog.cpp
        visualfreebusywidget.cpp
        incidenceeditor.qrc
)

ki18n_wrap_ui(KPim6IncidenceEditor
  ui/template_management_dialog_base.ui
  ui/dialogdesktop.ui
  ui/alarmdialog.ui
  ui/attachmenteditdialog.ui
  ui/schedulingdialog.ui
  ui/resourcemanagement.ui
)

if(COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(
        KPim6IncidenceEditor
        PROPERTIES
            UNITY_BUILD
                ON
    )
endif()
ecm_generate_export_header(KPim6IncidenceEditor
    BASE_NAME incidenceeditor
    VERSION ${INCIDENCEEDITOR_VERSION}
    DEPRECATED_BASE_VERSION 0
    USE_VERSION_HEADER
)

target_link_libraries(
    KPim6IncidenceEditor
    PUBLIC
        KPim6::AkonadiCalendar
        KPim6::AkonadiMime
        KF6::CalendarCore
        KPim6::CalendarUtils
        KPim6::CalendarSupport # For KCalPrefs
        KPim6::EventViews
    PRIVATE
        KGantt6 # For FreeBusy Editor
        KPim6::PimTextEdit
        KF6::Codecs
        KPim6::LdapWidgets
        KPim6::AkonadiWidgets
        KF6::IconThemes
        KF6::Completion
        KF6::KIOWidgets
        KF6::TextWidgets
        KF6::WidgetsAddons
        KF6::XmlGui
        KF6::Contacts
        KF6::GuiAddons
        KPim6::Libkdepim
        KPim6::PimCommonAkonadi
        KPim6::IdentityManagementCore
)
target_include_directories(
    KPim6IncidenceEditor
    INTERFACE
        "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR}/KPim6/IncidenceEditor/>"
)
target_include_directories(
    KPim6IncidenceEditor
    PUBLIC
        "$<BUILD_INTERFACE:${incidenceeditor_SOURCE_DIR}/src;${incidenceeditor_BINARY_DIR}/src;>"
)

set_target_properties(
    KPim6IncidenceEditor
    PROPERTIES
        VERSION
            ${INCIDENCEEDITOR_VERSION}
        SOVERSION
            ${INCIDENCEEDITOR_SOVERSION}
        EXPORT_NAME
            IncidenceEditor
)

install(TARGETS KPim6IncidenceEditor EXPORT KPim6IncidenceEditorTargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

ecm_generate_headers(IncidenceEditor_CamelCase_HEADERS
  HEADER_NAMES
  IncidenceDialog
  IncidenceDialogFactory
  IncidenceEditorSettings
  IncidenceDefaults
  IndividualMailComponentFactory
  GroupwareUiDelegate
  EditorItemManager
  IncidenceEditor-Ng
  REQUIRED_HEADERS IncidenceEditor_HEADERS
  PREFIX IncidenceEditor
)

install(
    FILES
        ${IncidenceEditor_CamelCase_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim6/IncidenceEditor/IncidenceEditor
    COMPONENT Devel
)

install(
    FILES
        ${CMAKE_CURRENT_BINARY_DIR}/globalsettings_incidenceeditor.h
        ${CMAKE_CURRENT_BINARY_DIR}/incidenceeditor_export.h
        ${IncidenceEditor_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim6/IncidenceEditor/incidenceeditor
    COMPONENT Devel
)

######
if(BUILD_TESTING)
    add_subdirectory(tests)
endif()

if(BUILD_QCH)
    ecm_add_qch(
        KPim6IncidenceEditor_QCH
        NAME KIncidenceEditor
        BASE_NAME KPim6IncidenceEditor
        VERSION ${PIM_VERSION}
        ORG_DOMAIN org.kde
        SOURCES # using only public headers, to cover only public API
            ${IncidenceEditor_HEADERS}
        #MD_MAINPAGE "${CMAKE_SOURCE_DIR}/README.md"
        #IMAGE_DIRS "${CMAKE_SOURCE_DIR}/docs/pics"
        LINK_QCHS
            Qt6Core_QCH
            Qt6Gui_QCH
            Qt6Widgets_QCH
        INCLUDE_DIRS
            ${CMAKE_CURRENT_BINARY_DIR}
        BLANK_MACROS
            INCIDENCEEDITOR_EXPORT
        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        COMPONENT Devel
    )
endif()

ecm_qt_install_logging_categories(EXPORT INCIDENCEEDITOR FILE incidenceeditor.categories DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR})

=== debian/changelog ===
incidenceeditor (25.08.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Sep 2025 07:05:31 +0100

=== debian/control ===
Source: incidenceeditor
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sandro Knauß <hefee@debian.org>, Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 6.6.0~),
               libakonadi-dev (>= 4:25.08.1~),
               libakonadicalendar-dev (>= 4:25.08.1~),
               libakonadimime-dev (>= 4:25.08.1~),
               libcalendarsupport-dev (>= 4:25.08.1~),
               libeventviews-dev (>= 4:25.08.1~),
               libkcalendarutils-dev (>= 4:25.08.1~),
               libkdepim-dev (>= 4:25.08.1~),
               libkf6calendarcore-dev (>= 6.6.0~),
               libkf6codecs-dev (>= 6.6.0~),
               libkf6guiaddons-dev (>= 6.6.0~),
               libkf6i18n-dev (>= 6.6.0~),
               libkf6iconthemes-dev (>= 6.6.0~),
               libkf6kio-dev (>= 6.6.0~),
               libkf6textwidgets-dev (>= 6.6.0~),
               libkgantt-dev (>= 3.0.0~),
               libkidentitymanagement-dev (>= 25.08.1~),
               libkldap-dev (>= 25.08.1~),
               libkmime-dev (>= 25.08.1~),
               libkpimtextedit-dev (>= 25.08.1~),
               libpimcommon-dev (>= 4:25.08.1~),
               qt6-base-dev (>= 6.7.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/pim/incidenceeditor
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/incidenceeditor
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/incidenceeditor
Rules-Requires-Root: no

Package: libincidenceeditor-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: KDE PIM incidence editor - data files
 This library provides an incidence editor for KDE PIM.
 .
 This package provides the shared data shipped with the library.

Package: libincidenceeditor-dev
Section: libdevel
Architecture: amd64 arm64 armhf i386
Multi-Arch: same
Depends: libakonadimime-dev (>= 4:25.08.1~),
         libcalendarsupport-dev (>= 4:25.08.1~),
         libeventviews-dev (>= 4:25.08.1~),
         libkcalendarutils-dev (>= 4:25.08.1~),
         libkf6calendarcore-dev (>= 6.6.0~),
         libkmime-dev (>= 25.08.1~),
         libkpim6incidenceeditor6 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE PIM incidence editor - development files
 This library provides an incidence editor for KDE PIM.
 .
 This package provides development files.

Package: libkpim6incidenceeditor6
Provides: ${ABI:VirtualPackage},
Architecture: amd64 arm64 armhf i386
Multi-Arch: same
Depends: libincidenceeditor-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE PIM incidence editor - library
 This library provides an incidence editor for KDE PIM.
 .
 This package provides the shared library.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/pkg-info.mk

# Starting with a library package $*, remove the ABI and append a
# -MAJOR.MINOR suffix without the third component of the upstream version.
ABIVirtualPackage = $(shell echo $* | sed 's/abi[0-9]\+//')-$(basename $(DEB_VERSION_UPSTREAM))
pkgs_lib = $(filter-out %-dev %-doc %-dbg %-data %-bin %-plugins,$(filter lib%,$(shell dh_listpackages)))

%:
	dh $@

override_dh_makeshlibs: $(pkgs_lib:=-makeshlibs)
	dh_makeshlibs --remaining-packages
$(pkgs_lib:=-makeshlibs): %-makeshlibs:
	dh_makeshlibs -p$* '-V$* (>= $(DEB_VERSION_EPOCH_UPSTREAM)), $(ABIVirtualPackage)'

override_dh_gencontrol: $(pkgs_lib:=-gencontrol)
	dh_gencontrol --remaining-packages
$(pkgs_lib:=-gencontrol): %-gencontrol:
	dh_gencontrol -p$* -- -VABI:VirtualPackage=$(ABIVirtualPackage)

override_dh_auto_test:
	- xvfb-run -- \
	           dh_auto_test --no-parallel

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/release-service/([\d.]+)/src/incidenceeditor-([\d.]+)\.tar\.xz

## incidenceeditor 25.08.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # SPDX-FileCopyrightText: none
 # SPDX-License-Identifier: BSD-3-Clause
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.5.1")
+set(PIM_VERSION "6.5.2")
 
 project(incidenceeditor VERSION ${PIM_VERSION})
 
@@ -57,20 +57,20 @@
 )
 
 set(INCIDENCEEDITOR_LIB_VERSION ${PIM_VERSION})
-set(AKONADI_MIMELIB_VERSION "6.5.1")
-set(KDEPIM_LIB_VERSION "6.5.1")
-set(KMIME_LIB_VERSION "6.5.1")
-set(KLDAP_LIB_VERSION "6.5.1")
-set(CALENDARUTILS_LIB_VERSION "6.5.1")
-set(CALENDARSUPPORT_LIB_VERSION "6.5.1")
-set(LIBKDEPIM_LIB_VERSION "6.5.1")
-set(EVENTVIEW_LIB_VERSION "6.5.1")
-set(AKONADI_VERSION "6.5.1")
-set(AKONADICONTACT_LIB_VERSION "6.5.1")
-set(AKONADICALENDAR_LIB_VERSION "6.5.1")
-set(PIMCOMMON_LIB_VERSION "6.5.1")
-set(PIMTEXTEDIT_LIB_VERSION "6.5.1")
-set(IDENTITYMANAGEMENT_LIB_VERSION "6.5.1")
+set(AKONADI_MIMELIB_VERSION "6.5.2")
+set(KDEPIM_LIB_VERSION "6.5.2")
+set(KMIME_LIB_VERSION "6.5.2")
+set(KLDAP_LIB_VERSION "6.5.2")
+set(CALENDARUTILS_LIB_VERSION "6.5.2")
+set(CALENDARSUPPORT_LIB_VERSION "6.5.2")
+set(LIBKDEPIM_LIB_VERSION "6.5.2")
+set(EVENTVIEW_LIB_VERSION "6.5.2")
+set(AKONADI_VERSION "6.5.2")
+set(AKONADICONTACT_LIB_VERSION "6.5.2")
+set(AKONADICALENDAR_LIB_VERSION "6.5.2")
+set(PIMCOMMON_LIB_VERSION "6.5.2")
+set(PIMTEXTEDIT_LIB_VERSION "6.5.2")
+set(IDENTITYMANAGEMENT_LIB_VERSION "6.5.2")
 
 set(KDIAGRAM_LIB_VERSION "3.0.0")
 find_package(KGantt6 ${KDIAGRAM_LIB_VERSION} CONFIG REQUIRED)

=== src/tests/CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause
set(testincidenceeditor_SRCS main.cpp)

add_executable(kincidenceeditor main.cpp)

target_link_libraries(
    kincidenceeditor
    KPim6::AkonadiCalendar
    KPim6::AkonadiCore
    KF6::CalendarCore
    KPim6::CalendarUtils
    KPim6::IncidenceEditor
    KPim6::CalendarSupport
)

#install(TARGETS kincidenceeditor ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

=== debian/changelog ===
incidenceeditor (25.08.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 17 Oct 2025 11:39:38 +0100

=== debian/control ===
--- 
+++ 
@@ -7,13 +7,13 @@
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                extra-cmake-modules (>= 6.6.0~),
-               libakonadi-dev (>= 4:25.08.1~),
-               libakonadicalendar-dev (>= 4:25.08.1~),
-               libakonadimime-dev (>= 4:25.08.1~),
-               libcalendarsupport-dev (>= 4:25.08.1~),
-               libeventviews-dev (>= 4:25.08.1~),
-               libkcalendarutils-dev (>= 4:25.08.1~),
-               libkdepim-dev (>= 4:25.08.1~),
+               libakonadi-dev (>= 4:25.08.2~),
+               libakonadicalendar-dev (>= 4:25.08.2~),
+               libakonadimime-dev (>= 4:25.08.2~),
+               libcalendarsupport-dev (>= 4:25.08.2~),
+               libeventviews-dev (>= 4:25.08.2~),
+               libkcalendarutils-dev (>= 4:25.08.2~),
+               libkdepim-dev (>= 4:25.08.2~),
                libkf6calendarcore-dev (>= 6.6.0~),
                libkf6codecs-dev (>= 6.6.0~),
                libkf6guiaddons-dev (>= 6.6.0~),
@@ -22,11 +22,11 @@
                libkf6kio-dev (>= 6.6.0~),
                libkf6textwidgets-dev (>= 6.6.0~),
                libkgantt-dev (>= 3.0.0~),
-               libkidentitymanagement-dev (>= 25.08.1~),
-               libkldap-dev (>= 25.08.1~),
-               libkmime-dev (>= 25.08.1~),
-               libkpimtextedit-dev (>= 25.08.1~),
-               libpimcommon-dev (>= 4:25.08.1~),
+               libkidentitymanagement-dev (>= 25.08.2~),
+               libkldap-dev (>= 25.08.2~),
+               libkmime-dev (>= 25.08.2~),
+               libkpimtextedit-dev (>= 25.08.2~),
+               libpimcommon-dev (>= 4:25.08.2~),
                qt6-base-dev (>= 6.7.0~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
@@ -49,12 +49,12 @@
 Section: libdevel
 Architecture: amd64 arm64 armhf i386
 Multi-Arch: same
-Depends: libakonadimime-dev (>= 4:25.08.1~),
-         libcalendarsupport-dev (>= 4:25.08.1~),
-         libeventviews-dev (>= 4:25.08.1~),
-         libkcalendarutils-dev (>= 4:25.08.1~),
+Depends: libakonadimime-dev (>= 4:25.08.2~),
+         libcalendarsupport-dev (>= 4:25.08.2~),
+         libeventviews-dev (>= 4:25.08.2~),
+         libkcalendarutils-dev (>= 4:25.08.2~),
          libkf6calendarcore-dev (>= 6.6.0~),
-         libkmime-dev (>= 25.08.1~),
+         libkmime-dev (>= 25.08.2~),
          libkpim6incidenceeditor6 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends},

## incidenceeditor 25.08.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # SPDX-FileCopyrightText: none
 # SPDX-License-Identifier: BSD-3-Clause
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.5.2")
+set(PIM_VERSION "6.5.3")
 
 project(incidenceeditor VERSION ${PIM_VERSION})
 
@@ -57,20 +57,20 @@
 )
 
 set(INCIDENCEEDITOR_LIB_VERSION ${PIM_VERSION})
-set(AKONADI_MIMELIB_VERSION "6.5.2")
-set(KDEPIM_LIB_VERSION "6.5.2")
-set(KMIME_LIB_VERSION "6.5.2")
-set(KLDAP_LIB_VERSION "6.5.2")
-set(CALENDARUTILS_LIB_VERSION "6.5.2")
-set(CALENDARSUPPORT_LIB_VERSION "6.5.2")
-set(LIBKDEPIM_LIB_VERSION "6.5.2")
-set(EVENTVIEW_LIB_VERSION "6.5.2")
-set(AKONADI_VERSION "6.5.2")
-set(AKONADICONTACT_LIB_VERSION "6.5.2")
-set(AKONADICALENDAR_LIB_VERSION "6.5.2")
-set(PIMCOMMON_LIB_VERSION "6.5.2")
-set(PIMTEXTEDIT_LIB_VERSION "6.5.2")
-set(IDENTITYMANAGEMENT_LIB_VERSION "6.5.2")
+set(AKONADI_MIMELIB_VERSION "6.5.3")
+set(KDEPIM_LIB_VERSION "6.5.3")
+set(KMIME_LIB_VERSION "6.5.3")
+set(KLDAP_LIB_VERSION "6.5.3")
+set(CALENDARUTILS_LIB_VERSION "6.5.3")
+set(CALENDARSUPPORT_LIB_VERSION "6.5.3")
+set(LIBKDEPIM_LIB_VERSION "6.5.3")
+set(EVENTVIEW_LIB_VERSION "6.5.3")
+set(AKONADI_VERSION "6.5.3")
+set(AKONADICONTACT_LIB_VERSION "6.5.3")
+set(AKONADICALENDAR_LIB_VERSION "6.5.3")
+set(PIMCOMMON_LIB_VERSION "6.5.3")
+set(PIMTEXTEDIT_LIB_VERSION "6.5.3")
+set(IDENTITYMANAGEMENT_LIB_VERSION "6.5.3")
 
 set(KDIAGRAM_LIB_VERSION "3.0.0")
 find_package(KGantt6 ${KDIAGRAM_LIB_VERSION} CONFIG REQUIRED)

=== debian/changelog ===
incidenceeditor (25.08.3-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (25.08.3).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Tue, 18 Nov 2025 21:26:04 +0100

=== debian/control ===
Source: incidenceeditor
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sandro Knauß <hefee@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.14.0~),
               libakonadi-dev (>= 4:25.08.3~),
               libakonadicalendar-dev (>= 4:25.08.3~),
               libakonadimime-dev (>= 4:25.08.3~),
               libcalendarsupport-dev (>= 4:25.08.3~),
               libeventviews-dev (>= 4:25.08.3~),
               libkcalendarutils-dev (>= 4:25.08.3~),
               libkdepim-dev (>= 4:25.08.3~),
               libkf6calendarcore-dev (>= 6.14.0~),
               libkf6codecs-dev (>= 6.14.0~),
               libkf6guiaddons-dev (>= 6.14.0~),
               libkf6i18n-dev (>= 6.14.0~),
               libkf6iconthemes-dev (>= 6.14.0~),
               libkf6kio-dev (>= 6.14.0~),
               libkf6textwidgets-dev (>= 6.14.0~),
               libkgantt-dev (>= 3.0.0~),
               libkidentitymanagement-dev (>= 25.08.3~),
               libkldap-dev (>= 25.08.3~),
               libkmime-dev (>= 25.08.3~),
               libkpimtextedit-dev (>= 25.08.3~),
               libpimcommon-dev (>= 4:25.08.3~),
               qt6-base-dev (>= 6.8.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/pim/incidenceeditor
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/incidenceeditor
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/incidenceeditor.git
Rules-Requires-Root: no

Package: libincidenceeditor-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: KDE PIM incidence editor - data files
 This library provides an incidence editor for KDE PIM.
 .
 This package provides the shared data shipped with the library.

Package: libincidenceeditor-dev
Section: libdevel
Architecture: amd64 arm64 armhf i386
Multi-Arch: same
Depends: libakonadimime-dev (>= 4:25.08.3~),
         libcalendarsupport-dev (>= 4:25.08.3~),
         libeventviews-dev (>= 4:25.08.3~),
         libkcalendarutils-dev (>= 4:25.08.3~),
         libkf6calendarcore-dev (>= 6.14.0~),
         libkmime-dev (>= 25.08.3~),
         libkpim6incidenceeditor6 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE PIM incidence editor - development files
 This library provides an incidence editor for KDE PIM.
 .
 This package provides development files.

Package: libkpim6incidenceeditor6
Provides: ${ABI:VirtualPackage},
Architecture: amd64 arm64 armhf i386
Multi-Arch: same
Depends: libincidenceeditor-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE PIM incidence editor - library
 This library provides an incidence editor for KDE PIM.
 .
 This package provides the shared library.

## incidenceeditor 25.11.80

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,13 +1,14 @@
 # SPDX-FileCopyrightText: none
 # SPDX-License-Identifier: BSD-3-Clause
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.5.3")
+set(PIM_VERSION "6.5.80")
 
 project(incidenceeditor VERSION ${PIM_VERSION})
 
-set(KF_MIN_VERSION "6.14.0")
+set(KF_MIN_VERSION "6.18.0")
 set(QT_REQUIRED_VERSION "6.8.0")
 set(CMAKE_CXX_STANDARD 20)
+set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
 
@@ -57,20 +58,20 @@
 )
 
 set(INCIDENCEEDITOR_LIB_VERSION ${PIM_VERSION})
-set(AKONADI_MIMELIB_VERSION "6.5.3")
-set(KDEPIM_LIB_VERSION "6.5.3")
-set(KMIME_LIB_VERSION "6.5.3")
-set(KLDAP_LIB_VERSION "6.5.3")
-set(CALENDARUTILS_LIB_VERSION "6.5.3")
-set(CALENDARSUPPORT_LIB_VERSION "6.5.3")
-set(LIBKDEPIM_LIB_VERSION "6.5.3")
-set(EVENTVIEW_LIB_VERSION "6.5.3")
-set(AKONADI_VERSION "6.5.3")
-set(AKONADICONTACT_LIB_VERSION "6.5.3")
-set(AKONADICALENDAR_LIB_VERSION "6.5.3")
-set(PIMCOMMON_LIB_VERSION "6.5.3")
-set(PIMTEXTEDIT_LIB_VERSION "6.5.3")
-set(IDENTITYMANAGEMENT_LIB_VERSION "6.5.3")
+set(AKONADI_MIMELIB_VERSION "6.5.80")
+set(KDEPIM_LIB_VERSION "6.5.80")
+set(KMIME_LIB_VERSION "6.5.80")
+set(KLDAP_LIB_VERSION "6.5.80")
+set(CALENDARUTILS_LIB_VERSION "6.5.80")
+set(CALENDARSUPPORT_LIB_VERSION "6.5.80")
+set(LIBKDEPIM_LIB_VERSION "6.5.80")
+set(EVENTVIEW_LIB_VERSION "6.5.80")
+set(AKONADI_VERSION "6.5.80")
+set(AKONADICONTACT_LIB_VERSION "6.5.80")
+set(AKONADICALENDAR_LIB_VERSION "6.5.80")
+set(PIMCOMMON_LIB_VERSION "6.5.80")
+set(PIMTEXTEDIT_LIB_VERSION "6.5.80")
+set(IDENTITYMANAGEMENT_LIB_VERSION "6.5.80")
 
 set(KDIAGRAM_LIB_VERSION "3.0.0")
 find_package(KGantt6 ${KDIAGRAM_LIB_VERSION} CONFIG REQUIRED)
@@ -118,7 +119,7 @@
 ########### Targets ###########
 
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
-ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.16.0)
+ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.20.0)
 
 option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)

=== debian/changelog ===
incidenceeditor (25.11.80-0ubuntu1) resolute; urgency=medium

  * New upstream (beta) release (25.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 16 Nov 2025 07:53:25 +0000

incidenceeditor (25.08.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Nov 2025 15:21:00 +0000

=== debian/control ===
Source: incidenceeditor
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sandro Knauß <hefee@debian.org>, Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 6.6.0~),
               libakonadi-dev (>= 4:25.11.80~),
               libakonadicalendar-dev (>= 4:25.11.80~),
               libakonadimime-dev (>= 4:25.11.80~),
               libcalendarsupport-dev (>= 4:25.11.80~),
               libeventviews-dev (>= 4:25.11.80~),
               libkcalendarutils-dev (>= 4:25.11.80~),
               libkdepim-dev (>= 4:25.11.80~),
               libkf6calendarcore-dev (>= 6.6.0~),
               libkf6codecs-dev (>= 6.6.0~),
               libkf6guiaddons-dev (>= 6.6.0~),
               libkf6i18n-dev (>= 6.6.0~),
               libkf6iconthemes-dev (>= 6.6.0~),
               libkf6kio-dev (>= 6.6.0~),
               libkf6textwidgets-dev (>= 6.6.0~),
               libkgantt-dev (>= 3.0.0~),
               libkidentitymanagement-dev (>= 25.11.80~),
               libkldap-dev (>= 25.11.80~),
               libkmime-dev (>= 25.11.80~),
               libkpimtextedit-dev (>= 25.11.80~),
               libpimcommon-dev (>= 4:25.11.80~),
               qt6-base-dev (>= 6.7.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/pim/incidenceeditor
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/incidenceeditor
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/incidenceeditor
Rules-Requires-Root: no

Package: libincidenceeditor-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: KDE PIM incidence editor - data files
 This library provides an incidence editor for KDE PIM.
 .
 This package provides the shared data shipped with the library.

Package: libincidenceeditor-dev
Section: libdevel
Architecture: amd64 arm64 armhf i386
Multi-Arch: same
Depends: libakonadimime-dev (>= 4:25.11.80~),
         libcalendarsupport-dev (>= 4:25.11.80~),
         libeventviews-dev (>= 4:25.11.80~),
         libkcalendarutils-dev (>= 4:25.11.80~),
         libkf6calendarcore-dev (>= 6.6.0~),
         libkmime-dev (>= 25.11.80~),
         libkpim6incidenceeditor6 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE PIM incidence editor - development files
 This library provides an incidence editor for KDE PIM.
 .
 This package provides development files.

Package: libkpim6incidenceeditor6
Provides: ${ABI:VirtualPackage},
Architecture: amd64 arm64 armhf i386
Multi-Arch: same
Depends: libincidenceeditor-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE PIM incidence editor - library
 This library provides an incidence editor for KDE PIM.
 .
 This package provides the shared library.

## incidenceeditor 25.11.90

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # SPDX-FileCopyrightText: none
 # SPDX-License-Identifier: BSD-3-Clause
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.5.80")
+set(PIM_VERSION "6.5.90")
 
 project(incidenceeditor VERSION ${PIM_VERSION})
 
@@ -58,20 +58,20 @@
 )
 
 set(INCIDENCEEDITOR_LIB_VERSION ${PIM_VERSION})
-set(AKONADI_MIMELIB_VERSION "6.5.80")
-set(KDEPIM_LIB_VERSION "6.5.80")
-set(KMIME_LIB_VERSION "6.5.80")
-set(KLDAP_LIB_VERSION "6.5.80")
-set(CALENDARUTILS_LIB_VERSION "6.5.80")
-set(CALENDARSUPPORT_LIB_VERSION "6.5.80")
-set(LIBKDEPIM_LIB_VERSION "6.5.80")
-set(EVENTVIEW_LIB_VERSION "6.5.80")
-set(AKONADI_VERSION "6.5.80")
-set(AKONADICONTACT_LIB_VERSION "6.5.80")
-set(AKONADICALENDAR_LIB_VERSION "6.5.80")
-set(PIMCOMMON_LIB_VERSION "6.5.80")
-set(PIMTEXTEDIT_LIB_VERSION "6.5.80")
-set(IDENTITYMANAGEMENT_LIB_VERSION "6.5.80")
+set(AKONADI_MIMELIB_VERSION "6.5.90")
+set(KDEPIM_LIB_VERSION "6.5.90")
+set(KMIME_LIB_VERSION "6.5.90")
+set(KLDAP_LIB_VERSION "6.5.90")
+set(CALENDARUTILS_LIB_VERSION "6.5.90")
+set(CALENDARSUPPORT_LIB_VERSION "6.5.90")
+set(LIBKDEPIM_LIB_VERSION "6.5.90")
+set(EVENTVIEW_LIB_VERSION "6.5.90")
+set(AKONADI_VERSION "6.5.90")
+set(AKONADICONTACT_LIB_VERSION "6.5.90")
+set(AKONADICALENDAR_LIB_VERSION "6.5.90")
+set(PIMCOMMON_LIB_VERSION "6.5.90")
+set(PIMTEXTEDIT_LIB_VERSION "6.5.90")
+set(IDENTITYMANAGEMENT_LIB_VERSION "6.5.90")
 
 set(KDIAGRAM_LIB_VERSION "3.0.0")
 find_package(KGantt6 ${KDIAGRAM_LIB_VERSION} CONFIG REQUIRED)

=== debian/changelog ===
incidenceeditor (25.11.90-0ubuntu1) resolute; urgency=medium

  * New upstream (RC) release (25.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 28 Nov 2025 13:59:28 +0000

=== debian/control ===
--- 
+++ 
@@ -7,13 +7,13 @@
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                extra-cmake-modules (>= 6.6.0~),
-               libakonadi-dev (>= 4:25.11.80~),
-               libakonadicalendar-dev (>= 4:25.11.80~),
-               libakonadimime-dev (>= 4:25.11.80~),
-               libcalendarsupport-dev (>= 4:25.11.80~),
-               libeventviews-dev (>= 4:25.11.80~),
-               libkcalendarutils-dev (>= 4:25.11.80~),
-               libkdepim-dev (>= 4:25.11.80~),
+               libakonadi-dev (>= 4:25.11.90~),
+               libakonadicalendar-dev (>= 4:25.11.90~),
+               libakonadimime-dev (>= 4:25.11.90~),
+               libcalendarsupport-dev (>= 4:25.11.90~),
+               libeventviews-dev (>= 4:25.11.90~),
+               libkcalendarutils-dev (>= 4:25.11.90~),
+               libkdepim-dev (>= 4:25.11.90~),
                libkf6calendarcore-dev (>= 6.6.0~),
                libkf6codecs-dev (>= 6.6.0~),
                libkf6guiaddons-dev (>= 6.6.0~),
@@ -22,11 +22,11 @@
                libkf6kio-dev (>= 6.6.0~),
                libkf6textwidgets-dev (>= 6.6.0~),
                libkgantt-dev (>= 3.0.0~),
-               libkidentitymanagement-dev (>= 25.11.80~),
-               libkldap-dev (>= 25.11.80~),
-               libkmime-dev (>= 25.11.80~),
-               libkpimtextedit-dev (>= 25.11.80~),
-               libpimcommon-dev (>= 4:25.11.80~),
+               libkidentitymanagement-dev (>= 25.11.90~),
+               libkldap-dev (>= 25.11.90~),
+               libkmime-dev (>= 25.11.90~),
+               libkpimtextedit-dev (>= 25.11.90~),
+               libpimcommon-dev (>= 4:25.11.90~),
                qt6-base-dev (>= 6.7.0~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
@@ -49,12 +49,12 @@
 Section: libdevel
 Architecture: amd64 arm64 armhf i386
 Multi-Arch: same
-Depends: libakonadimime-dev (>= 4:25.11.80~),
-         libcalendarsupport-dev (>= 4:25.11.80~),
-         libeventviews-dev (>= 4:25.11.80~),
-         libkcalendarutils-dev (>= 4:25.11.80~),
+Depends: libakonadimime-dev (>= 4:25.11.90~),
+         libcalendarsupport-dev (>= 4:25.11.90~),
+         libeventviews-dev (>= 4:25.11.90~),
+         libkcalendarutils-dev (>= 4:25.11.90~),
          libkf6calendarcore-dev (>= 6.6.0~),
-         libkmime-dev (>= 25.11.80~),
+         libkmime-dev (>= 25.11.90~),
          libkpim6incidenceeditor6 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends},

## incidenceeditor 25.12.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # SPDX-FileCopyrightText: none
 # SPDX-License-Identifier: BSD-3-Clause
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.5.90")
+set(PIM_VERSION "6.6.0")
 
 project(incidenceeditor VERSION ${PIM_VERSION})
 
@@ -58,20 +58,20 @@
 )
 
 set(INCIDENCEEDITOR_LIB_VERSION ${PIM_VERSION})
-set(AKONADI_MIMELIB_VERSION "6.5.90")
-set(KDEPIM_LIB_VERSION "6.5.90")
-set(KMIME_LIB_VERSION "6.5.90")
-set(KLDAP_LIB_VERSION "6.5.90")
-set(CALENDARUTILS_LIB_VERSION "6.5.90")
-set(CALENDARSUPPORT_LIB_VERSION "6.5.90")
-set(LIBKDEPIM_LIB_VERSION "6.5.90")
-set(EVENTVIEW_LIB_VERSION "6.5.90")
-set(AKONADI_VERSION "6.5.90")
-set(AKONADICONTACT_LIB_VERSION "6.5.90")
-set(AKONADICALENDAR_LIB_VERSION "6.5.90")
-set(PIMCOMMON_LIB_VERSION "6.5.90")
-set(PIMTEXTEDIT_LIB_VERSION "6.5.90")
-set(IDENTITYMANAGEMENT_LIB_VERSION "6.5.90")
+set(AKONADI_MIMELIB_VERSION "6.6.0")
+set(KDEPIM_LIB_VERSION "6.6.0")
+set(KMIME_LIB_VERSION "6.6.0")
+set(KLDAP_LIB_VERSION "6.6.0")
+set(CALENDARUTILS_LIB_VERSION "6.6.0")
+set(CALENDARSUPPORT_LIB_VERSION "6.6.0")
+set(LIBKDEPIM_LIB_VERSION "6.6.0")
+set(EVENTVIEW_LIB_VERSION "6.6.0")
+set(AKONADI_VERSION "6.6.0")
+set(AKONADICONTACT_LIB_VERSION "6.6.0")
+set(AKONADICALENDAR_LIB_VERSION "6.6.0")
+set(PIMCOMMON_LIB_VERSION "6.6.0")
+set(PIMTEXTEDIT_LIB_VERSION "6.6.0")
+set(IDENTITYMANAGEMENT_LIB_VERSION "6.6.0")
 
 set(KDIAGRAM_LIB_VERSION "3.0.0")
 find_package(KGantt6 ${KDIAGRAM_LIB_VERSION} CONFIG REQUIRED)

=== debian/changelog ===
incidenceeditor (25.12.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Dec 2025 12:14:37 +0000

=== debian/control ===
--- 
+++ 
@@ -7,13 +7,13 @@
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                extra-cmake-modules (>= 6.6.0~),
-               libakonadi-dev (>= 4:25.11.90~),
-               libakonadicalendar-dev (>= 4:25.11.90~),
-               libakonadimime-dev (>= 4:25.11.90~),
-               libcalendarsupport-dev (>= 4:25.11.90~),
-               libeventviews-dev (>= 4:25.11.90~),
-               libkcalendarutils-dev (>= 4:25.11.90~),
-               libkdepim-dev (>= 4:25.11.90~),
+               libakonadi-dev (>= 4:25.12.0~),
+               libakonadicalendar-dev (>= 4:25.12.0~),
+               libakonadimime-dev (>= 4:25.12.0~),
+               libcalendarsupport-dev (>= 4:25.12.0~),
+               libeventviews-dev (>= 4:25.12.0~),
+               libkcalendarutils-dev (>= 4:25.12.0~),
+               libkdepim-dev (>= 4:25.12.0~),
                libkf6calendarcore-dev (>= 6.6.0~),
                libkf6codecs-dev (>= 6.6.0~),
                libkf6guiaddons-dev (>= 6.6.0~),
@@ -22,11 +22,11 @@
                libkf6kio-dev (>= 6.6.0~),
                libkf6textwidgets-dev (>= 6.6.0~),
                libkgantt-dev (>= 3.0.0~),
-               libkidentitymanagement-dev (>= 25.11.90~),
-               libkldap-dev (>= 25.11.90~),
-               libkmime-dev (>= 25.11.90~),
-               libkpimtextedit-dev (>= 25.11.90~),
-               libpimcommon-dev (>= 4:25.11.90~),
+               libkidentitymanagement-dev (>= 25.12.0~),
+               libkldap-dev (>= 25.12.0~),
+               libkmime-dev (>= 25.12.0~),
+               libkpimtextedit-dev (>= 25.12.0~),
+               libpimcommon-dev (>= 4:25.12.0~),
                qt6-base-dev (>= 6.7.0~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
@@ -49,12 +49,12 @@
 Section: libdevel
 Architecture: amd64 arm64 armhf i386
 Multi-Arch: same
-Depends: libakonadimime-dev (>= 4:25.11.90~),
-         libcalendarsupport-dev (>= 4:25.11.90~),
-         libeventviews-dev (>= 4:25.11.90~),
-         libkcalendarutils-dev (>= 4:25.11.90~),
+Depends: libakonadimime-dev (>= 4:25.12.0~),
+         libcalendarsupport-dev (>= 4:25.12.0~),
+         libeventviews-dev (>= 4:25.12.0~),
+         libkcalendarutils-dev (>= 4:25.12.0~),
          libkf6calendarcore-dev (>= 6.6.0~),
-         libkmime-dev (>= 25.11.90~),
+         libkmime-dev (>= 25.12.0~),
          libkpim6incidenceeditor6 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
